---
title: Delete TLS setting for hostname
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/typescript)

[Hostnames](https://developers.cloudflare.com/api/typescript/resources/hostnames)

[Settings](https://developers.cloudflare.com/api/typescript/resources/hostnames/subresources/settings)

[TLS](https://developers.cloudflare.com/api/typescript/resources/hostnames/subresources/settings/subresources/tls)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Delete TLS setting for hostname

client.hostnames.settings.tls.delete(stringhostname, TLSDeleteParams {zone\_id, setting\_id } params, RequestOptionsoptions?): [TLSDeleteResponse](<https://developers.cloudflare.com/api/typescript/resources/hostnames#(resource)%20hostnames.settings.tls%20%3E%20(model)%20tls_delete_response%20%3E%20(schema)>) {created\_at, hostname, status, 2 more }

DELETE/zones/{zone\_id}/hostnames/settings/{setting\_id}/{hostname}

Delete the tls setting value for the hostname.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`SSL and Certificates Write`

##### ParametersExpand Collapse

hostname: string

The hostname for which the tls settings are set.

[Link to this property](<#(resource)%20hostnames.settings.tls%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20hostname%20%3E%20(schema)>)

<details>

<summary>

params: TLSDeleteParams {zone\_id, setting\_id }

</summary>

zone\_id: string

Identifier.

maxLength32

<a href="#(resource)%20hostnames.settings.tls%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20zone_id">Link to this property</a>

<details>

<summary>

setting\_id: "ciphers"| "min\_tls\_version"| "http2"

The TLS Setting name. The value type depends on the setting:

- <code>ciphers</code>: value is an array of cipher suite strings (e.g., <code>["ECDHE-RSA-AES128-GCM-SHA256", "AES128-GCM-SHA256"]</code>).
- <code>min_tls_version</code>: value is a TLS version string (<code>"1.0"</code>, <code>"1.1"</code>, <code>"1.2"</code>, or <code>"1.3"</code>).
- <code>http2</code>: value is <code>"on"</code> or <code>"off"</code>.

</summary>

One of the following:

"ciphers"

<a href="#(resource)%20hostnames.settings.tls%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20setting_id%20%3E%20(schema)%20%3E%20(member)%200">Link to this property</a>

"min\_tls\_version"

<a href="#(resource)%20hostnames.settings.tls%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20setting_id%20%3E%20(schema)%20%3E%20(member)%201">Link to this property</a>

"http2"

<a href="#(resource)%20hostnames.settings.tls%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20setting_id%20%3E%20(schema)%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20hostnames.settings.tls%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20setting_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20hostnames.settings.tls%20%3E%20(method)%20delete%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

TLSDeleteResponse {created\_at, hostname, status, 2 more }

</summary>

created\_at?: string

This is the time the tls setting was originally created for this hostname.

formatdate-time

<a href="#(resource)%20hostnames.settings.tls%20%3E%20(model)%20tls_delete_response%20%3E%20(schema)%20%3E%20(property)%20created_at">Link to this property</a>

hostname?: string

The hostname for which the tls settings are set.

<a href="#(resource)%20hostnames.settings.tls%20%3E%20(model)%20tls_delete_response%20%3E%20(schema)%20%3E%20(property)%20hostname">Link to this property</a>

status?: string

Deployment status for the given tls setting.

<a href="#(resource)%20hostnames.settings.tls%20%3E%20(model)%20tls_delete_response%20%3E%20(schema)%20%3E%20(property)%20status">Link to this property</a>

updated\_at?: string

This is the time the tls setting was updated.

formatdate-time

<a href="#(resource)%20hostnames.settings.tls%20%3E%20(model)%20tls_delete_response%20%3E%20(schema)%20%3E%20(property)%20updated_at">Link to this property</a>

<details>

<summary>

value?: <a href="https://developers.cloudflare.com/api/typescript/resources/hostnames#(resource)%20hostnames.settings.tls%20%3E%20(model)%20setting_value%20%3E%20(schema)">SettingValue</a>

The TLS setting value. The type depends on the <code>setting_id</code> used in the request path:

- <code>ciphers</code>: an array of allowed cipher suite strings in BoringSSL format (e.g., <code>["ECDHE-RSA-AES128-GCM-SHA256", "AES128-GCM-SHA256"]</code>).
- <code>min_tls_version</code>: a string indicating the minimum TLS version — one of <code>"1.0"</code>, <code>"1.1"</code>, <code>"1.2"</code>, or <code>"1.3"</code> (e.g., <code>"1.2"</code>).
- <code>http2</code>: a string indicating whether HTTP/2 is enabled — <code>"on"</code> or <code>"off"</code> (e.g., <code>"on"</code>).

</summary>

One of the following:

<details>

<summary>

"1.0"| "1.1"| "1.2"| 3 more

</summary>

"1.0"

<a href="#(resource)%20hostnames.settings.tls%20%3E%20(model)%20tls_delete_response%20%3E%20(schema)%20%3E%20(property)%20value%20%2B%20(resource)%20hostnames.settings.tls%20%3E%20(model)%20setting_value%20%3E%20(schema)%20%3E%20(variant)%200%20%3E%20(member)%200">Link to this property</a>

"1.1"

<a href="#(resource)%20hostnames.settings.tls%20%3E%20(model)%20tls_delete_response%20%3E%20(schema)%20%3E%20(property)%20value%20%2B%20(resource)%20hostnames.settings.tls%20%3E%20(model)%20setting_value%20%3E%20(schema)%20%3E%20(variant)%200%20%3E%20(member)%201">Link to this property</a>

"1.2"

<a href="#(resource)%20hostnames.settings.tls%20%3E%20(model)%20tls_delete_response%20%3E%20(schema)%20%3E%20(property)%20value%20%2B%20(resource)%20hostnames.settings.tls%20%3E%20(model)%20setting_value%20%3E%20(schema)%20%3E%20(variant)%200%20%3E%20(member)%202">Link to this property</a>

"1.3"

<a href="#(resource)%20hostnames.settings.tls%20%3E%20(model)%20tls_delete_response%20%3E%20(schema)%20%3E%20(property)%20value%20%2B%20(resource)%20hostnames.settings.tls%20%3E%20(model)%20setting_value%20%3E%20(schema)%20%3E%20(variant)%200%20%3E%20(member)%203">Link to this property</a>

"on"

<a href="#(resource)%20hostnames.settings.tls%20%3E%20(model)%20tls_delete_response%20%3E%20(schema)%20%3E%20(property)%20value%20%2B%20(resource)%20hostnames.settings.tls%20%3E%20(model)%20setting_value%20%3E%20(schema)%20%3E%20(variant)%200%20%3E%20(member)%204">Link to this property</a>

"off"

<a href="#(resource)%20hostnames.settings.tls%20%3E%20(model)%20tls_delete_response%20%3E%20(schema)%20%3E%20(property)%20value%20%2B%20(resource)%20hostnames.settings.tls%20%3E%20(model)%20setting_value%20%3E%20(schema)%20%3E%20(variant)%200%20%3E%20(member)%205">Link to this property</a>

</details>

<a href="#(resource)%20hostnames.settings.tls%20%3E%20(model)%20tls_delete_response%20%3E%20(schema)%20%3E%20(property)%20value%20%2B%20(resource)%20hostnames.settings.tls%20%3E%20(model)%20setting_value%20%3E%20(schema)%20%3E%20(variant)%200">Link to this property</a>

Array&lt;string&gt;

<a href="#(resource)%20hostnames.settings.tls%20%3E%20(model)%20tls_delete_response%20%3E%20(schema)%20%3E%20(property)%20value%20%2B%20(resource)%20hostnames.settings.tls%20%3E%20(model)%20setting_value%20%3E%20(schema)%20%3E%20(variant)%201">Link to this property</a>

</details>

<a href="#(resource)%20hostnames.settings.tls%20%3E%20(model)%20tls_delete_response%20%3E%20(schema)%20%3E%20(property)%20value">Link to this property</a>

</details>

[Link to this property](<#(resource)%20hostnames.settings.tls%20%3E%20(model)%20tls_delete_response%20%3E%20(schema)>)

### Delete TLS setting for hostname

TypeScript

HTTPTypeScriptPythonGoTerraform

```
import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const tls = await client.hostnames.settings.tls.delete('app.example.com', {
  zone_id: '023e105f4ecef8ad9ca31a8372d0c353',
  setting_id: 'ciphers',
});

console.log(tls.created_at);
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "created_at": "2023-07-10T20:01:50.219171Z",
    "hostname": "app.example.com",
    "status": "pending_deployment",
    "updated_at": "2023-07-10T20:01:50.219171Z",
    "value": [
      "ECDHE-RSA-AES128-GCM-SHA256",
      "AES128-GCM-SHA256"
    ]
  }
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "created_at": "2023-07-10T20:01:50.219171Z",
    "hostname": "app.example.com",
    "status": "pending_deployment",
    "updated_at": "2023-07-10T20:01:50.219171Z",
    "value": [
      "ECDHE-RSA-AES128-GCM-SHA256",
      "AES128-GCM-SHA256"
    ]
  }
}
```